log_appendix(::MonthlyScaler) = "_monthly";
log_appendix(::WeeklyScaler) = "_weekly";
log_appendix(::DayOfYearScaler) = "_dayOfYear";
log_appendix(::DayOfWeekScaler)= "_dayOfWeek";



logging(scaler::AbstractSesScaler,
        logger = TBLogger(default_log_location, tb_overwrite),
        group = "", appendix = "") = logging(scaler, logger, group, appendix)
function logging(scaler::S, logger, group = "", appendix = "") where {S<:MonthlyScaler}
    factors = get_factors(scaler);
    name = if isempty(group) "MoY$appendix" else "$group/MoY$appendix" end;
    TensorBoardLogger.log_vector(logger, name, factors[:]);
end
function logging(scaler::S, logger, group = "", appendix = "") where {S<:WeeklyScaler}
    factors = get_factors(scaler);
    name = if isempty(group) "WoY$appendix" else "$group/WoY$appendix" end;
    TensorBoardLogger.log_vector(logger, name, factors[:]);
end
function logging(scaler::S, logger, group = "", appendix = "") where {S<:DayOfYearScaler}
    factors = get_factors(scaler);
    name = if isempty(group) "DoY$appendix" else "$group/DoY$appendix" end;
    TensorBoardLogger.log_vector(logger, name, factors[:]);
end
function logging(scaler::S, logger, group = "", appendix = "") where {S<:DayOfWeekScaler}
    factors = get_factors(scaler);
    name = if isempty(group) "DoW$appendix" else "$group/DoW$appendix" end;
    TensorBoardLogger.log_vector(logger, name, factors[:]);
end
